Package org.eclipse.e4.ui.services

# Interface IStylingEngine

public interface IStylingEngine

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be referenced by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVICE_NAME`
Deprecated.
please use IStylingEngine.class or IStylingEngine.class.getName() for context access

## Method Summary

Modifier and Type
Method
Description
`CSSStyleDeclaration`
`getStyle(Object widget)`
`void`
`setClassname(Object widget, String classname)`
`void`
`setClassnameAndId(Object widget, String classname, String id)`
`void`
`setId(Object widget, String id)`
`void`
`style(Object widget)`

## Field Details

### SERVICE_NAME

@Deprecated static final String SERVICE_NAME
Deprecated.
please use IStylingEngine.class or IStylingEngine.class.getName() for context access
The service name for a styling engine. This name can be used to obtain instances of the service from a context or service registry.

## Method Details

### setClassname

void setClassname(Object widget, String classname)

### setId

void setId(Object widget, String id)

### setClassnameAndId

void setClassnameAndId(Object widget, String classname, String id)

### style

void style(Object widget)

### getStyle

CSSStyleDeclaration getStyle(Object widget)